LIMACTL(1)

NAME
limactl-start - Start an instance of Lima

SYNOPSIS
limactl start NAME|FILE.yaml|URL [flags]

DESCRIPTION
Start an instance of Lima

OPTIONS
--arch=""
    [limactl create] machine architecture (x86_64, aarch64, riscv64)

--containerd=""
    [limactl create] containerd mode (user, system, user+system, none)

--cpus=0
    [limactl create] number of CPUs

--disk=0
    [limactl create] disk size in GiB

--dns=[]
    [limactl create] specify custom DNS (disable host resolver)

--foreground[=false]
    run the hostagent in the foreground

-h, --help[=false]
    help for start

--list-templates[=false]
    [limactl create] list available templates and exit

--memory=0
    [limactl create] memory in GiB

--mount=[]
    [limactl create] directories to mount, suffix ':w' for writable (Do not specify directories that overlap with the existing mounts)

--mount-inotify[=false]
    [limactl create] enable inotify for mounts

--mount-type=""
    [limactl create] mount type (reverse-sshfs, 9p, virtiofs)

--mount-writable[=false]
    [limactl create] make all mounts writable

--name=""
    [limactl create] override the instance name

--network=[]
    [limactl create] additional networks, e.g., "vzNAT" or "lima:shared" to assign vmnet IP

--plain[=false]
    [limactl create] plain mode. Disable mounts, port forwarding, containerd, etc.

--rosetta[=false]
    [limactl create] enable Rosetta (for vz instances)

--set=""
    [limactl create] modify the template inplace, using yq syntax

--timeout=10m0s
    duration to wait for the instance to be running before timing out

--video[=false]
    [limactl create] enable video output (has negative performance impact for QEMU)

--vm-type=""
    [limactl create] virtual machine type (qemu, vz)

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    debug mode

--log-format="text"
    Set the logging format [text, json]

--log-level=""
    Set the logging level [trace, debug, info, warn, error]

--tty[=false]
    Enable TUI interactions such as opening an editor. Defaults to true when stdout is a terminal. Set to false for automation.

EXAMPLE
    To create an instance "default" (if not created yet) from the default Ubuntu template, and start it:
    $ limactl start
    To create an instance "default" from a template "docker", and start it:
    $ limactl start --name=default template://docker
    'limactl start' also accepts the 'limactl create' flags such as '--set'.
    See the examples in 'limactl create --help'.

SEE ALSO
limactl(1)